List Volumes (V2)
This operation lists all volumes in the specified project.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The target project of this operation.
The number of records to include in each response.
The current page number.
The category of the volume. Valid values are MANAGED and EXTERNAL.
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/volumes?projectId=proj-xxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Returns the list of volumes.
One of the alternative response payloads returned when listing volumes.
Response code.
Response payload containing the data returned by the operation.
List of volumes.
A volume that the API key can access.
The name of the volume.
Description of the volume.
The category of the volume.
ID of the region where the volume resides.
Total number of volumes.
Current page number.
Number of volumes per page.
Returns an error message.
Response code.
Error message.
{
"code": 200,
"data": {
"count": 3,
"currentPage": 1,
"pageSize": 10,
"volumes": [
{
"volumeName": "my_volume_1",
"type": "MANAGED",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_2",
"type": "EXTERNAL",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_3",
"type": "MANAGED",
"description": "A volume for storing collection data."
}
]
}
}